#!/bin/sh

TAGS="../tags"

if [ -z "$1" ]; then
	echo "Usage: $0 <tag | svn>"
	exit 2
else
	if [ ! -d "$TAGS/cacaeditor-$1" -a "$1" != "svn" ]; then
		echo "tag: $1 doesn't exists"
		exit 2
	fi
fi

OLDPWD=$(pwd)

if [ "$1" = "svn" ]; then
	SVNREV=$(LC_ALL=C svn info | grep "Revision" | head -n 1 | cut -d':' -f2)
	SVNREV=$(echo $SVNREV | sed -e 's/^ //')
	cd ..
	tar czvf "cacaeditor-rev$SVNREV.tar.gz" \
		--exclude='*/tools' --exclude='*/dist' --exclude='Session.vim' \
		--exclude='*.graphml' --exclude='test.*' --exclude='venv' \
		--exclude='libcaca-env.py' --exclude='*.swp' --exclude='*.egg-info' \
		--exclude-vcs trunk/
else
	cd $TAGS

	tar czvf "$OLDPWD/cacaeditor-$1.tar.gz" \
		--exclude='*/tools' --exclude='*/dist' --exclude-vcs \
		"cacaeditor-$1"

	tar cjvf "$OLDPWD/cacaeditor-$1.tar.bz2" \
		--exclude='*/tools' --exclude='*/dist' --exclude-vcs \
		"cacaeditor-$1"
fi

cd $OLDPWD

